curl --request GET \
--url https://api.example.com/cabinet/referral/earnings \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": 123,
"amount_kopeks": 123,
"amount_rubles": 123,
"reason": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"referral_username": "<string>",
"referral_first_name": "<string>",
"campaign_name": "<string>"
}
],
"total": 123,
"total_amount_kopeks": 123,
"total_amount_rubles": 123,
"page": 123,
"per_page": 123,
"pages": 123
}Get referral earnings history.
curl --request GET \
--url https://api.example.com/cabinet/referral/earnings \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": 123,
"amount_kopeks": 123,
"amount_rubles": 123,
"reason": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"referral_username": "<string>",
"referral_first_name": "<string>",
"campaign_name": "<string>"
}
],
"total": 123,
"total_amount_kopeks": 123,
"total_amount_rubles": 123,
"page": 123,
"per_page": 123,
"pages": 123
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Page number
x >= 1Items per page
1 <= x <= 100